Bug 9130 - Syntax error in /etc/mediaprm at line 789 col 40: zero-base unexpected
: Syntax error in /etc/mediaprm at line 789 col 40: zero-base unexpected
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fdutils)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-21 22:20 by
Modified: 2006-08-29 21:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-21 22:20:00
Файл /etc/mediaprm в пакете fdutils-5.5-alt1 изначально содержит ошибки:

$ setfdprm /dev/fd0 something-nonexistent
Syntax error in /etc/mediaprm at line 789 col 40: zero-base unexpected

(при указании одного из известных форматов setfdprm прерывает чтение файла
после
нахождения соответствующей записи, поэтому ошибка остаётся незамеченной).

Проблему вызывают следующие записи:

# TRS-8- Color Computer os9 formats (to be confirmed). Needs
# zero-based floppy patch
"COCO360":
 DS DD sect=18 cyl=40 ssize=256 tpi=48 zero-based

"COCO720":
 DS DD sect=18 cyl=80 ssize=256 tpi=96 zero-based

Очевидно, поддержки zero-based в данной версии setfdprm нет.
------- Comment #1 From 2006-02-26 20:14:28 -------
Подтверждаю. zero-base распознаёт только superformat. Попробую протолкнуть
баг-репорт в рассылку fdutils'a.
------- Comment #2 From 2006-03-03 05:05:36 -------
Fixed in build 5.5-20060227.